//+------------------------------------------------------------------+
//|                                                        2_RSI_DIFF.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

#property indicator_buffers 1

extern string nadpis = "";
string TIM;


extern bool Use_War = true;
extern int war = 5;

extern color Color_TAB = White;
extern color Color_UP=LimeGreen;
extern color Color_DOWN=Red;
extern color Color_RSI_MTF=DodgerBlue;
extern color war1=Orange;
extern color war2=Green;

color col;
extern int TF = 5;
extern int RSI_Period = 14;
extern int Price = 0;
extern int Hist =1000;
extern int pos_X = 15;
extern int limit_UP =70;
extern int limit_DOWN = 30;

extern bool Use_Left_Corner = false;

extern string PERIOD= " H=60; H4=240; D=1440; W=10080; M=43200  ";


double pos,W,Z,RSI;


string   pairs[]     = {"AUDCAD","AUDCHF","AUDJPY","AUDNZD","AUDUSD","CADCHF","CADJPY","EURAUD","EURCAD" ,"EURGBP","EURCHF" ,"EURJPY","EURNZD"  ,"EURUSD","GBPAUD" ,"GBPCAD","GBPCHF" ,"GBPJPY","GBPNZD" ,"GBPUSD","GBPJPY" ,"NZDCAD","NZDCHF" ,"NZDJPY","NZDUSD" ,"USDCAD","USDCHF","USDJPY"};
int      period[]           = {1,5,15,30,60,240,1440,10080,43200};

string   periodString2[]     = {"M","W","D","4","H","30","15","5","1"};
int      period2[]           = {43200,10080,1440,240,60,30,15,5,1};

string   periodString3[];
int      period3[];

string short_name,RSIval,SYM;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+

//----
     int init()
  {
  
 
         short_name="RSI("+RSI_Period+")"+TF;
         
     
 
         
     IndicatorShortName(short_name);
     IndicatorBuffers(1);

 
     SetIndexStyle(0,DRAW_LINE,0,0,Red);  
      
  
     SetIndexLabel (0, "RSI");
       

 
 
 
 
       
   return(0);
  }
  
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
  if (StringSubstr(Symbol(),3,3) == "JPY")pos = -1 ;else pos = -3;
  int t;
  for (int x=0; x<28; x++)   {
  t=t+15;
//----
 

 
 
 //if (Use_Mirroring)  {periodString3[x]=periodString2[x];period3[x]=period2[x]  ; } else {periodString3[x]=periodString[x];period3[x]=period[x]  ; }
  
    
 
   
  RSI = iRSI(pairs[x] ,TF,RSI_Period,0,0) ;
    
    RSIval = DoubleToStr(RSI,Digits+pos) ;
     
      if (Use_War)
 {  
   if (RSI>limit_UP-war) col = war2;
   if (RSI<limit_DOWN+war) col = war1;
   
   if (RSI>limit_DOWN+war&&RSI<limit_UP-war) col = Color_RSI_MTF;
   if (RSI>limit_UP) col = Color_UP;
   if (RSI<limit_DOWN) col = Color_DOWN;
    }
   else 
  { 
 if (RSI>limit_UP) col = Color_UP;
   if (RSI<limit_DOWN) col = Color_DOWN;
   
   if (RSI>limit_DOWN&&RSI<limit_UP) col = Color_RSI_MTF;

  }
   


   if ( nadpis == "") TIM=DoubleToStr( TF,Digits+pos-2); else TIM = nadpis;
   
       if (Use_Left_Corner) Z= 1 ; else Z=0;
       
        
         ObjectCreate(short_name+""+x+"", OBJ_LABEL,0, 0, 0);
   ObjectSetText(short_name+""+x+"",""+RSIval+"", 9, "Arial", col);
   ObjectSet(short_name+""+x+"", OBJPROP_CORNER, Z);
   ObjectSet(short_name+""+x+"", OBJPROP_XDISTANCE, 80+pos_X);
   ObjectSet(short_name+""+x+"", OBJPROP_YDISTANCE, 30+t);   
   
   ObjectCreate(short_name+""+x+0.2+"", OBJ_LABEL,0, 0, 0);
   ObjectSetText(short_name+""+x+0.2+"",""+pairs[x]+"", 9, "Arial", Color_TAB);
   ObjectSet(short_name+""+x+0.2+"", OBJPROP_CORNER, Z);
   ObjectSet(short_name+""+x+0.2+"", OBJPROP_XDISTANCE, 10);
   ObjectSet(short_name+""+x+0.2+"", OBJPROP_YDISTANCE, 30+t); 
    
         ObjectCreate(short_name+""+x+pos_X+0.3+"", OBJ_LABEL,0, 0, 0);
   ObjectSetText(short_name+""+x+pos_X+0.3+"",""+TIM+"", 9, "Arial", Color_TAB);
   ObjectSet(short_name+""+x+pos_X+0.3+"", OBJPROP_CORNER, Z);
   ObjectSet(short_name+""+x+pos_X+0.3+"", OBJPROP_XDISTANCE, 90+pos_X);
   ObjectSet(short_name+""+x+pos_X+0.3+"", OBJPROP_YDISTANCE, 15);  
   
    
   
  
   
}
   
  
//----
   return(0);
  }
//+------------------------------------------------------------------+